Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 100267 - Component library fixes
Component library fixes
Status: VERIFIED FIXED
Product: obsolete
Classification: Unclassified
Component: visualweb
6.x
All All
: P3 (vote)
: 6.x
Assigned To: _ edwingo
issues@obsolete
http://wiki.netbeans.org/wiki/view/Vi...
plan60
:
Depends on: 92987 93134
Blocks: 90450
  Show dependency treegraph
 
Reported: 2007-04-06 23:43 UTC by _ edwingo
Modified: 2007-12-07 16:41 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ edwingo 2007-04-06 23:43:22 UTC
Complib enhancements - Helpset, i18n support, UI improvements
See http://wiki.netbeans.org/wiki/view/VisualWeb6TaskList, such as task 12.8.
Comment 1 _ edwingo 2007-05-31 19:16:25 UTC
HelpSet support was added to complib files. See
http://wiki.java.net/bin/view/Javatools/ComplibSpec. New "Add Component Library"
context menu item was added to palette category and palette item context menus.
This got integrated into the trunk and is available in M9 of NB6.
Comment 2 _ edwingo 2007-05-31 21:03:57 UTC
Oh, and to test JavaHelp in a complib file, you can use this complib:
http://blogs.sun.com/edwingo/resource/test-1.0.2.complib.
Comment 3 _ edwingo 2007-05-31 21:04:22 UTC
Oh, and to test JavaHelp in a complib file, you can use this complib:
http://blogs.sun.com/edwingo/resource/test-1.0.2.complib. Check that the Help
browser has the sample JavaHelp HelpSet in it.
Comment 4 Lark Fitzgerald 2007-06-25 16:26:59 UTC
Verified using:
NetBeans 6.0 200706242201

Saw helpset:
Sample Simple Components (Version 2.3)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo